@charset "utf-8";

#topNavWrap {
  position: fixed;
  top: 0;
  width: 100%;
  height: 100px;
  padding: 0 80px;
  transition: all .3s
}

#topNavWrap.sub {
  position: absolute
}

#topNavWrap.blur {
  backdrop-filter: blur(15px);
  background: rgba(0, 0, 0, .5);
  transition: background .2s
}

/* 마우스온 */
#topNavWrap.on {
  border-bottom: 1px solid #e1e1e1;
  background-color: #fff
}

#topNavWrap.on #topNav>li>a {
  color: #111
}

#topNavWrap.on #allBtn p span.open {
  color: #111
}

#topNavWrap.on #allBtn .dot {
  background-color: #111
}

#topNavWrap.on #allBtn .dot:after,
#topNavWrap.on #allBtn .dot:before {
  background-color: #111
}

#topNavWrap.on #menuLine {
  background-color: #666
}

/* 로고 */
#top_logo {
  float: left;
  position: relative;
  top: 50%;
  transform: translateY(-50%)
}

/* 대분류  */
#topNav {
  position: absolute;
  z-index: 1;
  height: 96px;
  left: 36%;
  transform: translateX(-27%);
}

#topNav:after {
  display: block;
  content: "";
  visibility: hidden;
  clear: both
}

#topNav>li {
  float: left;
  position: relative;
  padding: 0 20px;
  line-height: 100px
}

#topNav>li h1 {
  display: none;
}

#topNav>li .s_cate {
  display: none;
}

#topNav>li>a {
  display: block;
  font-size: 19px;
  font-weight: 500;
  color: #fff;
  transition: all .2s
}

#menuLine {
  position: absolute;
  bottom: -1px;
  left: 50%;
  width: 0;
  height: 1px;
  background-color: transparent;
  transition: all 0.5s ease-in-out
}

/* 소분류 */
.top_nav_s {
  display: none;
  position: absolute;
  width: 100%;
  min-height: 165px;
  left: 50%;
  transform: translateX(-50%);
  padding-top: 20px;
  padding-bottom: 20px;
}

.top_nav_s li h1 {
  display: none;
}

.top_nav_s .s_cate {
  display: none;
}

.top_nav_s li a {
  display: block;
  margin: 0px;
  font-size: 17px;
  line-height: 35px;
  text-align: center;
  color: #666;
  transition: color .2s
}

.top_nav_s li a:hover {
  color: #999
}

/* 전체메뉴배경 */
.top_nav_bg {
  position: fixed;
  width: 100%;
  display: none;
  top: 100px;
  height: 315px;
  background: #fff;
  box-shadow: 0px 12px 12px -17px rgba(0, 0, 0, 0.25)
}

/* 메뉴버튼 */
#allBtn {
  float: right;
  position: relative;
  top: 50%;
  z-index: 101;
  transform: translateY(-50%);
  cursor: pointer
}

#allBtn #nav_btn {
  display: flex;
  align-items: center;
  column-gap: 40px
}

#allBtn p {
  overflow: hidden;
  position: relative;
  width: 90px;
  height: 19px;
  font-size: 15px;
  text-align: right;
  font-weight: 500;
  color: #fff;
  font-family: var(--eng-font)
}

#allBtn p span {
  display: block;
  position: absolute;
  left: 50%;
  top: 50%;
  width: 100%;
  transform: translate(-50%, -50%) translateY(var(--translate-y));
  transition: transform 150ms ease;
  text-transform: uppercase
}

#allBtn p span.open {
  --translate-y: 0;
  color: #fff
}

#allBtn p span.close {
  --translate-y: 150%;
  color: #111
}

#allBtn .dot {
  display: block;
  position: relative;
  width: 3px;
  height: 3px;
  border-radius: 100%;
  background-color: #fff;
  transition: all .2s
}

#allBtn .dot:after,
#allBtn .dot:before {
  display: block;
  content: "";
  position: absolute;
  left: 0;
  width: 3px;
  height: 3px;
  border-radius: 100%;
  transition: all .2s;
  background-color: #fff
}

#allBtn .dot:after {
  top: -6px
}

#allBtn .dot:before {
  bottom: -6px
}

#allBtn.active {
  z-index: 200
}

#allBtn.active p span.open {
  --translate-y: -150%
}

#allBtn.active p span.close {
  --translate-y: 0
}

#allBtn.active .dot {
  background-color: #111
}

#allBtn.active .dot:after,
#allBtn.active .dot:before {
  background-color: #111
}

/* 메뉴오픈 */
#allWrap {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  width: 100%;
  height: 100vh;
  padding: 0 80px 40px;
  font-size: 16px;
  line-height: 1.6;
  color: #111;
  transform: translateY(50px);
  background-color: #fff;
  transition: transform .6s
}

#allWrap.active {
  transform: translateY(0)
}

#allWrap .inner {
  display: flex;
  position: relative;
  width: 100%;
  height: 100%;
  margin: 0 auto
}

#allWrap .ci {
  position: absolute;
  top: 40px;
  left: 0
}

#allWrap .cs {
  width: 50%;
  height: max-content;
  margin-top: auto;
  font-weight: 500
}

#allWrap .cs .tit {
  margin-bottom: 10px;
  font-weight: 700;
  font-family: var(--eng-font)
}

#allWrap .cs .add {
  margin-bottom: 25px
}

#allWrap .cs .tel {
  font-family: var(--eng-font)
}

#allWrap .cs .tel i {
  width: 15px;
  margin-right: 13px;
  text-align: center
}

#allWrap .cont {
  display: flex;
  align-items: center;
  width: 50%
}

#allWrap .cont ul>li {
  opacity: 0;
  margin-left: 120px;
  transition: all 1.2s
}

#allWrap .cont ul>li+li {
  margin-top: 25px
}

#allWrap .cont ul>li>a {
  font-size: 28px;
  font-weight: 700;
  transition: all .2s
}

#allWrap .cont ul>li>a:hover {
  color: var(--primary)
}

#allWrap .cont ul>li div {
  display: flex;
  column-gap: 20px
}

#allWrap .cont ul>li div a {
  border-bottom: 1px solid #fff;
  font-size: 16px;
  color: #888;
  transition: all .2s
}

#allWrap .cont ul>li div a:hover {
  border-bottom: 1px solid #333;
  font-weight: 500;
  color: #333
}

#allWrap.active .cont ul>li {
  opacity: 1;
  ;
  margin-left: 0
}

#allWrap.active .cont ul>li h1,
#allWrap.active .cont ul>li .s_cate {
  display: none;
}

#allWrap.active .cont ul>li:nth-child(1) {
  transition-delay: .3s
}

#allWrap.active .cont ul>li:nth-child(2) {
  transition-delay: .4s
}

#allWrap.active .cont ul>li:nth-child(3) {
  transition-delay: .5s
}

#allWrap.active .cont ul>li:nth-child(4) {
  transition-delay: .6s
}

#allWrap.active .cont ul>li:nth-child(5) {
  transition-delay: .7s
}

#allWrap.active .cont ul>li:nth-child(6) {
  transition-delay: .8s
}

#allWrap.active .cont ul>li:nth-child(7) {
  transition-delay: .9s
}

#allWrap.active .cont ul>li:nth-child(8) {
  transition-delay: .9s
}

#allWrap .sns {
  position: absolute;
  bottom: 0;
  right: 0
}

#allWrap .sns li+li {
  margin-top: 5px
}

#allWrap .sns a {
  color: #888;
  transition: all .2s
}

#allWrap .sns a:hover {
  color: var(--primary)
}

/* 반응형 메뉴 [s] */
#topmenuM {
  display: none;
  position: relative;
  width: 100%;
  padding: 15px;
  line-height: 1.8;
}

/* 로고 */
#m_logo {
  position: relative
}

#m_logo a {
  display: inline-block
}

#m_logo img {
  max-height: 29px
}

/* 상단 버튼 및 오픈메뉴 */
#m_navBtn {
  position: absolute;
  top: 15px;
  right: 15px;
  z-index: 5;
  width: 30px;
  height: 30px
}

#m_navBtn span {
  display: block;
  position: relative;
  top: 50%;
  width: 30px;
  /* 너비를 맞춰줍니다 */
  height: 3px;
  background-color: var(--primary);
  /* ✅ 가운데 줄 색상 추가 */
}

#m_navBtn span:before,
#m_navBtn span:after {
  display: block;
  content: "";
  position: absolute;
  width: 30px;
  height: 2px;
  background-color: var(--primary);
  transition: all .1s;
}

#m_navBtn span:before {
  top: -6px;
}

#m_navBtn span:after {
  top: 7px;
  right: 0;
  background-color: var(--primary);
}

#m_navBtn.on {
  position: fixed;
  top: 30px;
}

#m_navBtn.on span {
  display: inline;
  top: 20%;
  left: 42%;
}

#m_navBtn.on span:before {
  top: 0;
  right: -4px;
  transform: rotate(45deg)
}

#m_navBtn.on span:after {
  top: 0;
  right: -4px;
  width: 30px;
  transform: rotate(-45deg);
  background-color: var(--primary);
}

#m_navWrap {
  display: none;
  position: fixed;
  left: 0;
  top: 0;
  z-index: 4;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, .7)
}

#m_navWrap .inner {
  overflow-y: scroll;
  opacity: 0;
  position: fixed;
  right: -40px;
  top: 0;
  z-index: 6;
  min-width: 300px;
  width: 75%;
  height: 100%;
  padding: 60px 0;
  background-color: #fff;
  -webkit-transition: all .1s;
  transition: all .1s
}

#m_navWrap.on .inner {
  opacity: 1;
  right: 0;
  -webkit-transition: all .4s;
  transition: all .4s
}

#m_navWrap .inner:before,
#navWrap .inner:after {
  opacity: 0;
  display: block;
  position: fixed;
  top: 0;
  right: -40px;
  z-index: 1;
  content: "";
  min-width: 300px;
  width: 70%;
  height: 60px;
  background-color: #fff;
  -webkit-transition: all .1s;
  transition: all .1s
}

#m_navWrap .inner:after {
  top: auto;
  bottom: 0
}

#m_navWrap.on .inner:before,
#m_navWrap.on .inner:after {
  opacity: 1;
  right: 0;
  -webkit-transition: all .4s;
  transition: all .4s
}

#m_navWrap .inner .mo_hd_copy {
  position: fixed;
  right: 0;
  bottom: 15px;
  z-index: 2;
  min-width: 300px;
  width: 70%;
  font-size: 12px;
  text-align: center;
  color: #888
}

#m_navWrap .user_tip {
  padding: 10px 20px;
  background-color: #f5f5f5
}

#m_navWrap .user_tip li {
  display: inline-block
}

#m_navWrap .user_tip li+li {
  margin-left: 10px
}

/* 대분류 */
#topmenuM .m_lnb .m_bmenu {
  display: block;
  position: relative;
  width: 100%;
  height: 45px;
  padding: 0 20px;
  border: none;
  border-bottom: 1px solid #ddd;
  background: none;
  font-size: 14px;
  line-height: 45px;
  color: #222;
  text-align: left;
  font-family: 'Noto Sans KR';
  font-weight: 500
}

#topmenuM .m_lnb .m_bmenu h1,
#topmenuM .m_lnb .m_bmenu .s_cate {
  display: none;
}

#topmenuM .m_lnb .m_bmenu:after {
  float: right;
  content: "\f107";
  font-family: 'fontawesome'
}

#topmenuM .m_lnb .m_bmenu.on:after {
  content: "\f106"
}

/* 소분류 */
#topmenuM .m_smenu {
  display: none;
  padding: 15px 20px;
  border-bottom: 1px solid #ddd;
  background-color: #f2f3f5
}

#topmenuM .m_smenu li a {
  font-size: 11px;
  color: #777
}

@media (max-width:1500px) {
  #topNavWrap {
    padding: 0 50px
  }

  #allWrap {
    padding: 0 50px 40px
  }

  #allWrap .cs {
    width: 40%
  }

  #allWrap .cont {
    width: 60%
  }

  #allWrap .cont ul>li>a {
    font-size: 50px
  }

  #allWrap .cont ul>li div a {
    font-size: 17px
  }
}

@media (max-width:1230px) {
  #topNavWrap {
    padding: 0 30px
  }

  #topNav>li {
    padding: 0 20px
  }

  #allWrap {
    padding: 0 30px 40px;
    font-size: 15px
  }

  #allWrap .cs {
    width: 35%
  }

  #allWrap .cont {
    width: 65%
  }

  #allWrap .cont ul>li>a {
    font-size: 45px
  }

  #allWrap .cont ul>li div a {
    font-size: 16px
  }
}

@media (max-width:1024px) {
  #topNavWrap {
    display: none
  }

  #topmenuM {
    display: block
  }

  #topmenuM .m_smenu h1,
  #topmenuM .m_smenu .s_cate {
    display: none;
  }
}

/* 반응형 메뉴 [e] */